import os
import sys
import six
import glob
import numpy as np

from .backbones.NoduleSegEncoder import NoduleSegEncoder_proxima
from .decoders.NoduleSegDecoder import NoduleSegDecoder_proxima
from .backbones.XnetEncoder import XnetEncoder
from .decoders.UnetPP import UnetPP


def get_block(identifier):
    if isinstance(identifier,six.string_types):
        
        res = globals().get(identifier)
        if not res:
            raise ValueError('Invalid {}'.format(identifier))
        return res
    return identifier